Bug 231279 - multisession dvd sometimes freeze mouse+keyboard and often can not be mounted
multisession dvd sometimes freeze mouse+keyboard and often can not be mounted
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-03-07 06:55 EST by B.M.
Modified: 2013-03-05 22:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 10:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description B.M. 2007-03-07 06:55:24 EST
Description of problem:

multisession dvd's sometimes freeze mouse (can still be moved, but is not able
to click on anything) + keyboard (doesn't work at all). Sometimes the very same
medium can be mounted, sometimes not.

Note: When a medium has been written with Nero, root can mount it just with:
"mount /dev/hdc /mnt/".

But when medium has been written with gnomebaker, mounting results in:
"mount: block device /dev/hdc is write-protected, mounting read-only
 mount: you must specify the filesystem type"

When trying to mount with: "mount -t iso9660 /dev/hdc /mnt/", medium gets
sometimes ejected with error, somtimes it just spin's the drive at maximum speed
with following message: "mount: block device /dev/hdc is write-protected,
mounting read-only", but after that, nothing happens. 

This medium works correct with win98SE and Knoppix 3.6 !

Version-Release number of selected component (if applicable):

hal-0.5.8.1-6.fc6, kernel 2.6.19-1.2895.fc6

How reproducible:

insert any multisession dvd

Steps to Reproduce:
1.insert any multisession dvd, nothing happens on desktop, or system freezes
2.try to mount as root, results often in failure: medium gets ejected for some
reason, instead of being mounted
3.
  
Actual results:


Expected results:
inserting multisession dvd should let an icon appear, and user should be asked
what to do with it

Additional info:

The same problem with knoppix 5.1.1. BUT not with 3.6, which works correct
Comment 1 B.M. 2007-03-12 10:05:03 EDT
Solved!

It was not a hal-bug, but a kernel-bug. Switching back to kernel
2.6.18-1.2798.fc6 solved this issue: Single session DVD's and multisession DVD's
are getting mounted properly (and automatically). But every kernel since
2.6.18-1.2798.fc6 has the described issue (2007/03/12).
Comment 2 Jon Stanley 2008-01-07 20:50:57 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 B.M. 2008-01-09 07:09:51 EST
Sorry, the solution for me was to install DEBIAN 4.1. On 2008/01/17 i'll get my 
broadband connection. Perhaps then i'll try Fedora's latest.
Comment 4 Jon Stanley 2008-01-09 10:39:26 EST
In the meantime, I'll close this an INSUFFICIENT_DATA.  Feel free to re-open if
the problem persists after you get a chance to retest and I'll try and help you
resolve it.

Note You need to log in before you can comment on or make changes to this bug.